﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */
a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

a.navbar-brand > h1 { }

.header-light {
    background: linear-gradient(to right, #ff7e7e, #e65f5f);
    z-index: 1000;
    /*background-color: #e65f5f*/
}

.header-dark {
    background-color: #529912;
    border-top: #3f750e solid 4px;
    border-bottom: #3f750e inset 1px;
    z-index: 1000;
}

.header-telephone { font-size: 20px; }

.img-thumbnail {
    max-width: 64px;
    padding: 0;
}

/* Sticky footer styles
-------------------------------------------------- */

@media only screen and (max-width: 992px) {
    html { font-size: 16px; }

    h1 { font-size: 22px; }

    h2 { font-size: 20px; }

    body { margin-bottom: 512px !important; }

    .full-width { top: 86px !important; }

    .index-carousel { height: auto; }

    .index-carousel > .carousel-inner > .carousel-item {
        margin-top: 32px;
        height: auto !important;
    }

    .index-carousel-caption { margin-bottom: 0 !important; }

    .index-carousel-caption h1 { font-size: 2rem !important; }

    .index-carousel-caption h2 { font-size: 1.5rem !important; }

    .buket-index { margin-top: 256px !important }

    .img-thumbnail { width: 42px }

    .card-caption {
        /*background-color: rgba(100, 100, 100, 0.8) !important;*/
        text-shadow: 4px 4px 4px black, 0 0 2em #3f750e;
        color: rgba(245, 245, 245, 1) !important;
        padding-top: 0rem !important;
        position: absolute;
        top: 80% !important;
        width: 90% !important;
        height: 64px !important;
        text-align: center;
        display: flex;
        font-family: Roboto, Roboto, serif;
    }

    .my-card {
        width: 100% !important;
        max-width: 100% !important;
        min-width: 100% !important;
    }
}

.full-width {
    position: absolute;
    width: 100%;
    left: 0;
    top: 150px;
}

.index-carousel > .carousel-inner > .carousel-item {
    margin-top: 0;
    height: 512px;
}

.index-carousel-caption {
    margin-bottom: 128px;
    text-shadow: 4px 4px 4px black, 0 0 2em #3f750e;
    font-family: Marck Script, serif;
}

.index-carousel-caption h1 { font-size: 72px; }

.index-carousel-caption h2 { font-size: 54px; }

.buket-index {
    /*margin-top: 480px*/
    margin-top: 564px;
}

.flowers-index-container { margin-top: 32px; }

.border-top { border-top: 1px solid #e5e5e5; }

.box-shadow { box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05); }

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

.carousel-control-prev-icon { background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23e65f5f' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E"); }

.carousel-control-next-icon { background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23e65f5f' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E"); }

.flower-badge { background-color: #e65f5f; }

.color-red { border-color: #e65f5f; }

.my-card {
    position: relative;
    min-width: 300px;
    max-width: 33.3%;
    overflow: hidden;
}

.card-group { width: 100%; }

.my-card img {
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.my-card img:hover {
    -webkit-transform: scale(1.05);
    -ms-transform: scale(1.05);
    transform: scale(1.05);
}

.my-card a:hover { text-decoration: none; }

.card-caption {
    background-color: rgba(0, 0, 0, 0);
    color: rgba(245, 245, 245, 0);
    
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    
    width: 100%;
    height: 100%;
    text-align: center;
    font-family: Roboto, Roboto, serif;
    padding-top: 8rem;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.card-caption:hover {
    background-color: rgba(0, 0, 0, 0.5);
    color: rgba(245, 245, 245, 1);
}

.card-caption h1 { font-family: Roboto, Roboto, sans-serif; }

.card-caption h1, h2, h3, h4, h5, h6 { margin: auto; }

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */

input[type=number] { -moz-appearance: textfield; }

.btn-circle {
    width: 90px;
    height: 90px;
    padding: 16px;
    border-radius: 45px;
    font-size: 12px;
    text-align: center;
}

.border-darkgreen { border: #3f750e solid 2px; }

.opacity-50 { opacity: 0.5; }

.opacity-80 { opacity: .8; }

/* Sticky footer styles
-------------------------------------------------- */

html {
    position: relative;
    min-height: 100%;
    font-family: "Roboto", Arial, sans-serif;
}


body {
    /*background-image: url("../img/backgound.jpg")*/
    background-color: #FFFFCC;
    margin-bottom: 256px
}

.buket-details-cart-title { font-family: sans-serif }


.footer {
    position: absolute;
    bottom: 0;
    margin-bottom: 0;
    width: 100%;
    white-space: nowrap;
    padding-top: 32px;
    padding-bottom: 32px;
    background-color: #af4b4b;
    border-top: #833838 solid 2px;
    color: gainsboro
}